ECF Documents
Get Ecf Status Public
Consulta de estado pública (sin API key) por ID externo y RNC de la empresa.
GET
/
api
/
v1
/
ecf
/
status-public
/
{external_id}
Get Ecf Status Public
curl --request GET \
--url https://api.emite.do/api/v1/ecf/status-public/{external_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.emite.do/api/v1/ecf/status-public/{external_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.emite.do/api/v1/ecf/status-public/{external_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"public_id": "<string>",
"idempotency_key": "<string>",
"external_id": "<string>",
"ecf_type": "<string>",
"environment": "<string>",
"encf": "<string>",
"status": "<string>",
"scheduled_for": "2023-11-07T05:31:56Z",
"dgii_track_id": "<string>",
"dgii_security_code": "<string>",
"error_code": "<string>",
"error_message": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Path Parameters
Query Parameters
Required string length:
9 - 11Response
Successful Response
⌘I
Get Ecf Status Public
